package com.ruoyi.tc.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.tc.entity.po.AssetOfficialAccountJyPo;
import com.ruoyi.tc.entity.request.AssetAuditPageRequest;
import org.apache.ibatis.annotations.Param;

/**
 * 公众号资产表(asset_official_account_cp)表数据库访问层
 *
 * @author makejava
 * @since 2024-11-15 10:03:56
 */
public interface AssetOfficialAccountJyMapper extends BaseMapper<AssetOfficialAccountJyPo> {


    /**
     * 分页查询管理端或者单位端审核列表
     *
     * @param as 查询实体
     * @return 所有数据
     */
    Page<AssetOfficialAccountJyPo> getAuditList(Page<AssetOfficialAccountJyPo> page, @Param("req") AssetAuditPageRequest as);
}

